Fetch Recent Screenshot
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: 'Asia/Kolkata',
userId: ['ab7c4f30-1024-471a-a767-739df0dc53fd'],
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/dashboard/recent-screenshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/dashboard/recent-screenshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timeZone": "Asia/Kolkata",
"userId": [
"ab7c4f30-1024-471a-a767-739df0dc53fd"
],
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/dashboard/recent-screenshot"
payload = {
"timeZone": "Asia/Kolkata",
"userId": ["ab7c4f30-1024-471a-a767-739df0dc53fd"],
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched recent screenshots successfully",
"error": {},
"data": [
{
"organisation": {
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"team": {
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"user": {
"userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
"userName": "Sakthivel Govinthan",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/sample.png"
},
"screenshot": {
"thumbnailUrl": "https://trackpilots.s3.amazonaws.com/screenshots/thumbnails/2026/February/07/sample.png",
"imageUrl": "https://trackpilots.s3.amazonaws.com/screenshots/images/2026/February/07/sample.png"
},
"time": {
"capturedAt": "2026-02-07T16:43:08.364Z"
},
"application": {
"name": "Google Chrome",
"iconUrl": "https://trackpilots.s3.us-east-1.amazonaws.com/app-icon/world-icon.png",
"type": "website",
"category": "Developer Tools",
"domain": "chatgpt.com",
"fullUrl": "https://chatgpt.com",
"productivityStatus": "productive"
},
"isIdle": false
}
]
}Dashboard
Fetch Recent Screenshot
Fetch the latest 20 screenshots captured today.
POST
/
v1
/
dashboard
/
recent-screenshot
Fetch Recent Screenshot
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: 'Asia/Kolkata',
userId: ['ab7c4f30-1024-471a-a767-739df0dc53fd'],
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/dashboard/recent-screenshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/dashboard/recent-screenshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timeZone": "Asia/Kolkata",
"userId": [
"ab7c4f30-1024-471a-a767-739df0dc53fd"
],
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/dashboard/recent-screenshot"
payload = {
"timeZone": "Asia/Kolkata",
"userId": ["ab7c4f30-1024-471a-a767-739df0dc53fd"],
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched recent screenshots successfully",
"error": {},
"data": [
{
"organisation": {
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"team": {
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"user": {
"userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
"userName": "Sakthivel Govinthan",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/sample.png"
},
"screenshot": {
"thumbnailUrl": "https://trackpilots.s3.amazonaws.com/screenshots/thumbnails/2026/February/07/sample.png",
"imageUrl": "https://trackpilots.s3.amazonaws.com/screenshots/images/2026/February/07/sample.png"
},
"time": {
"capturedAt": "2026-02-07T16:43:08.364Z"
},
"application": {
"name": "Google Chrome",
"iconUrl": "https://trackpilots.s3.us-east-1.amazonaws.com/app-icon/world-icon.png",
"type": "website",
"category": "Developer Tools",
"domain": "chatgpt.com",
"fullUrl": "https://chatgpt.com",
"productivityStatus": "productive"
},
"isIdle": false
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Request payload to fetch recent dashboard screenshots. Either userId or teamId must be provided. Both cannot be empty.
Response
Recent screenshot fetched successfully.
